﻿<%@ WebHandler Language="VB" Class="RSS_VB" %>

Imports System
Imports System.Web
Imports System.Xml
Imports System.Text
Imports System.Data
Imports System.Configuration
Imports System.Data.SqlClient

Public Class RSS_VB : Implements IHttpHandler
    
    Public Sub ProcessRequest(ByVal context As HttpContext) Implements IHttpHandler.ProcessRequest
        BuildFeedXML(context, 1)
    End Sub
 
    Private Sub BuildFeedXML(context As HttpContext, channelId As Integer)
        Using writer As New XmlTextWriter(context.Response.OutputStream, Encoding.UTF8)
            Dim dt As DataTable = GetData("SELECT * FROM Channel WHERE Id = @ChannelId", channelId)
            writer.WriteStartDocument()
            writer.WriteStartElement("rss")
            writer.WriteAttributeString("version", "2.0")
            writer.WriteStartElement("channel")
            writer.WriteElementString("title", dt.Rows(0)("Title").ToString())
            writer.WriteElementString("link", dt.Rows(0)("Link").ToString())
            writer.WriteElementString("description", dt.Rows(0)("Description").ToString())
            writer.WriteElementString("copyright", dt.Rows(0)("Copyright").ToString())

            dt = GetData("SELECT * FROM Feeds WHERE ChannelId = @ChannelId", channelId)
            For Each dr As DataRow In dt.Rows
                writer.WriteStartElement("item")
                writer.WriteElementString("title", dr("Title").ToString())
                writer.WriteElementString("description", dr("Description").ToString())
                writer.WriteElementString("link", dr("Link").ToString())
                writer.WriteElementString("guid", dr("Id").ToString())
                writer.WriteElementString("pubDate", Convert.ToDateTime(dr("PublishedDate")).ToString("R"))
                writer.WriteEndElement()
            Next
            writer.WriteEndElement()
            writer.WriteEndElement()
            writer.WriteEndDocument()
            writer.Flush()
            writer.Close()
        End Using
    End Sub

    Private Function GetData(query As String, channelId As Integer) As DataTable
        Dim dt As New DataTable()
        Dim constr As String = ConfigurationManager.ConnectionStrings("constr").ConnectionString
        Using con As New SqlConnection(constr)
            Using cmd As New SqlCommand(query)
                cmd.CommandType = CommandType.Text
                cmd.Parameters.AddWithValue("@ChannelId", channelId)
                cmd.Connection = con
                Using sda As New SqlDataAdapter(cmd)
                    sda.Fill(dt)
                End Using
            End Using
        End Using
        Return dt
    End Function
    
    Public ReadOnly Property IsReusable() As Boolean Implements IHttpHandler.IsReusable
        Get
            Return False
        End Get
    End Property

End Class